<?php
/**
 * @Author: José Elías Gutierrez
 * @Date:   2017-04-10 13:44:11
 * @Last Modified by:   José Elías Gutierrez
 * @Last Modified time: 2017-06-12 16:49:18
 */

function jebe_display_for_variable_product(){
	global $product;
	$start_hour_text = '';
	$end_hour_text = '';

	wp_register_script(
        'jebe-main',
        plugins_url( 'assets/js/jebe.js', JEBE_PLUGIN_FILE ),
        array( 'jquery', 'wceb-main' ),
        '1.0',
        true
    );

    $jebe = JEBE();

    $options = $jebe->jebe_get_config_data();
    $days_availability = $jebe->jebe_get_days_availability();

    wp_localize_script( 'jebe-main', 'jebe_options', $options );
    wp_localize_script( 'jebe-main', 'jebe_days_availability', $days_availability );

    wp_enqueue_script( 'jebe-main' );

	include(dirname(__FILE__).'/views/jebe-html-product-view.php');	
}

function jebe_include_styles(){
    
    global $product;
    
    if ( wceb_is_bookable( $product ) ) {
        wp_enqueue_style( 'jebe-style', plugins_url( 'assets/css/jebe.css', JEBE_PLUGIN_FILE ) , null, '1.0' );
    }

}
